Package org.apache.commons.math3.linear

# Class NonSymmetricMatrixException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
org.apache.commons.math3.exception.MathIllegalArgumentException
org.apache.commons.math3.linear.NonSymmetricMatrixException

All Implemented Interfaces:
  `Serializable`, `ExceptionContextProvider`

public class NonSymmetricMatrixException extends MathIllegalArgumentException
Exception to be thrown when a symmetric matrix is expected.

Since:
  3.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NonSymmetricMatrixException(int row, int column, double threshold)`
Construct an exception.

## Method Summary

Modifier and Type
Method
Description
`int`
`getColumn()`
`int`
`getRow()`
`double`
`getThreshold()`

### Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException

`getContext, getLocalizedMessage, getMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NonSymmetricMatrixException

public NonSymmetricMatrixException(int row, int column, double threshold)
Construct an exception.

Parameters:
  `row` - Row index.
  `column` - Column index.
  `threshold` - Relative symmetry threshold.

## Method Details

### getRow

public int getRow()

Returns:
  the row index of the entry.

### getColumn

public int getColumn()

Returns:
  the column index of the entry.

### getThreshold

public double getThreshold()

Returns:
  the relative symmetry threshold.